<?php

namespace App\Models;

class PaymentType extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'payment_type';
    protected $appends = ['paramsArray'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    public function getParamsArrayAttribute()
    {
        if(!is_null($this->params)) {
            return json_decode($this->params,1);
        } else {
            return null;
        }
    }


}
